Subject: Re: Windows/Cygwin directory name stuff
From: Bob McGowan <[email-masked]>
To: Paul Bailey <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Dec 1999 10:30:44 -0800

Andre Oliveira da Costa wrote:
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Paul Bailey
> > Sent: Thursday, December 16, 1999 3:01 PM
> >
> [...]
> > Is there some mechanism to navigate in bash through a filesystem where
> > directories have spaces in their names?  (I mean, I know Unix
> > sees separate
> > words after a command as an argument list, but that doesn't apply in the
> > case of "cd" since I don't think you can cd into two separate directories
> > simultaneously, in the same shell, at the same time.)
> 
> You see, the shell does exactly what it should do: interpret the command
> line, dealing with wildcards and separating arguments to commands. If a
> particular command cannot handle multiple arguments (e.g. 'cd'), it's not
> the shell's business. If there's an error with the parsing of the command
> line, the shell complains; if not, it's the command that complains.
> 
> As for the filenames with spaces on it, you can have them on UNIX (and,
> therefore, cygwin) too; you just have to tell the shell not to interpret
> them, so that they are treated literally as part of the arguments. You do
> this by prefixing them with a backslash ('\') or by putting quotes (single
> or double) around the names of which they are part of. BTW: this is valid
> for other special chars as well (*, [, ], {, } etc.).
> 
> HTH,
> 
> Andre

To round out this discussion, there is ONLY ONE character that UNIX (the
kernel) and therefor cygwin (the DLL) really cares about as "special"
and that is the forward slash (/).  This is the delimiter in a path
between the various names.  You _cannot_ have a name that contains a
literal forward slash.  Otherwise, any character is legal.

The interpretation of other characters, as special or not, depends on
the application being used, as mentioned in other posts to this
discussion.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]